﻿using Hotline.Ai.Visit;
using Hotline.Caching.Interfaces;
using Hotline.Orders;
using StackExchange.Redis;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Constants;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Application.Visit
{
    public class OrderVisitApplication : IOrderVisitApplication, IScopeDependency
    {
        private readonly IRepository<AiOrderVisit> _aiOrderVisitRepository;
        private readonly IAiVisitService _aiVisitService;
        private readonly ISystemSettingCacheManager _systemSettingCacheManager;

        public OrderVisitApplication(IRepository<AiOrderVisit> aiOrderVisitRepository,IAiVisitService aiVisitService, ISystemSettingCacheManager systemSettingCacheManager)
        {
            _aiOrderVisitRepository = aiOrderVisitRepository;
            _aiVisitService = aiVisitService;
            _systemSettingCacheManager = systemSettingCacheManager;
        }
       
    }
}
