﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.Article;
using Hotline.Share.Dtos.FlowEngine;
using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.Order
{
    public class OrderStartFlowDto : StartWorkflowDto<UpdateOrderDto>
    {
        
    }

    public class ScreenStartFlowDto : StartWorkflowDto<OrderScreenDto>
    {

    }

    public class ScreenNextFlowDto
    {
        public OrderScreenDto Data { get; set; }

        public NextWorkflowDto NextWorkflow { get; set; }
    }

    public class DelayNextFlowDto
    {
        public OrderDelayDto Data { get; set; }

        public NextWorkflowDto NextWorkflow { get; set; }
    }

    public class DelayStartFlowDto : StartWorkflowDto<ApplyDelayDto>
    {

    }

}
