﻿using Hotline.Orders;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Ai.CallOut
{
    public class CallOutTemplate: CreationSoftDeleteEntity
    {
        public string TemplateName { get; set; }

        public bool IsEnable { get; set; }

        [SugarColumn(ColumnDataType = "varchar(2000)")]
        public string TemplateContent { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(CallOutTask.CallOutTemplateId))]
        public List<CallOutTask> CallOutTasks { get; set; }

    }
}
