﻿using Hotline.Share.Dtos.FlowEngine.Definition;
using Hotline.Share.Enums.FlowEngine;


namespace Hotline.FlowEngine.Definitions;

/// <summary>
/// 模板定义节点
/// </summary>
public class StepDefine : StepDefineBasic
{
    #region method

    public bool IsCenter() => BusinessType is EBusinessType.Center or EBusinessType.Send;

    public bool IsOrg() => BusinessType is EBusinessType.Department;

    #endregion
}