﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
	/// <summary>
	/// 知识分类关联机构
	/// </summary>
	[Description("知识分类关联机构")]
	public class KnowledgeTypeOrg : FullStateEntity
	{
		/// <summary>
		/// 知识分类ID
		/// </summary>
		public string TypeId { get; set; }

		/// <summary>
		/// 机构ID
		/// </summary>
		public string OrgId { get; set; }

		/// <summary>
		/// 机构名称
		/// </summary>
		public string OrgName { get; set; }
	}
}
