﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.CallCenter;

namespace Hotline.Share.Dtos.CallCenter
{
    public class QueryCallsFixedDto : QueryFixedDto
    {
        public string? OrderNo { get; set; }

        public string? FromNo { get; set; }

        public string? ToNo { get; set; }

        public string? UserName { get; set; }

        public string? TelNo { get; set; }

        public EEndBy? EndBy { get; set; }

        /// <summary>
        /// 呼入时间
        /// </summary>
        public DateTime? CallStartTimeStart { get; set; }

        /// <summary>
        /// 呼入时间
        /// </summary>
        public DateTime? CallStartTimeEnd { get; set; }

        /// <summary>
        /// 是否接通
        /// </summary>
        public bool? IsConnected { get; set; }

        /// <summary>
        /// 通话方向
        /// </summary>
        public ECallDirection? Direction { get; set; }

        /// <summary>
        /// 等待时长
        /// </summary>
        public int? WaitDurationStart { get; set; }
        
        /// <summary>
        /// 等待时长
        /// </summary>
        public int? WaitDurationEnd { get; set; }
    }
}
