﻿using Hotline.Share.Dtos.File;

namespace Hotline.Share.Dtos.Order;

public class AddOrderComplementDto
{
    public string OrderId { get; set; }

    /// <summary>
    /// 服务工单编号
    /// </summary>
    public string CaseSerial { get; set; }

    /// <summary>
    /// 补充意见
    /// </summary>
    public string Opinion { get; set; }

    /// <summary>
    /// 省平台业务编号
    /// </summary>
    public string? DsBisId { get; set; }

    /// <summary>
    /// 补充人员
    /// </summary>
    public string? SupplyName { get; set; }

    /// <summary>
    /// 补充时间
    /// </summary>
    public string? SupplyTime { get; set; }

    /// <summary>
    /// 是否省补充
    /// </summary>
    public bool IsProComplement { get; set; }

    /// <summary>
    /// 附件
    /// </summary>
    public List<FileDto> Files { get; set; }
}

public class OrderComplementDto : AddOrderComplementDto
{
    public string Id { get; set; }
}