﻿using Hotline.Share.Enums.Push;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Push
{
    /// <summary>
    /// 
    /// </summary>
    public record MessagePagedDto : PagedKeywordRequest
    {
        /// <summary>
        /// 推送业务类型
        /// </summary>
        public EPushBusiness? PushBusiness { get; set; }

        /// <summary>
        /// 发送状态
        /// </summary>
        public ESendState? Status { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 电话号码
        /// </summary>
        public string TelNumber { get; set; }

        /// <summary>
        /// 接收人
        /// </summary>
        public string UserName { get; set; }
    }
}
