﻿namespace Hotline.Share.Dtos.WebPortal
{
    public class OrderVisitListDataDto
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string? OrderId { get; set; }

        public List<WaitVisitListDataDto> VistListDtos { get; set; }
    }

    public class WaitVisitListDataDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 回访ID
        /// </summary>
        public string? VisitId { get; set; }

        /// <summary>
        /// 回访部门Code
        /// </summary>
        public string? VisitOrgCode { get; set; }

        /// <summary>
        /// 回访部门名称
        /// </summary>
        public string? VisitOrgName { get; set; }

        /// <summary>
        /// 评价内容
        /// </summary>
        public string? VisitContent { get; set; }

        /// <summary>
        /// 满意度
        /// </summary>
        public string? SatisfactionCode { get; set; }

    }
}
