﻿using XF.Domain.Authentications;

namespace Hotline.Authentications
{
    public class ProvinceSessionContext : ISessionContext
    {
        public ProvinceSessionContext()
        {
            UserId = "03aba148-e7b1-cd03-bf00-3a1177930508";
            UserName = "省12345平台";
            OrgId = "001171";
            OrgName = "省12345平台";
            OrgLevel = 1;
        }

        //TODO 取消写入
        /// <summary>
        /// Id of current tenant or null for host
        /// </summary>
        public string? UserId { get; set; }

        /// <summary>
        /// Id of current user or throw Exception for guest
        /// </summary>
        /// <exception cref="AuthenticationException"></exception>
        public string RequiredUserId => UserId ?? throw new ArgumentNullException();
        //TODO 取消写入
		public string? UserName { get; set; }
        public string? Phone { get; }

        /// <summary>
        /// Roles
        /// </summary>
        public string[] Roles { get; }
        public string? OrgId { get; set; }
        public string RequiredOrgId => OrgId ?? throw new ArgumentNullException();
        public string? OrgName { get; set; }
        public int OrgLevel { get; set; }
        public string? OrgAreaCode { get; set; }
        public bool OrgIsCenter { get; set; }

        /// <summary>
        /// 部门行政区划名称
        /// </summary>
        public string? OrgAreaName { get; set; }
        public string? AreaId { get; }
        public string? ClientId { get; }

        /// <summary>
        /// 工号
        /// </summary>
        public string? StaffNo { get; }
    }
}
