﻿using Hotline.Identity.Roles;
using Hotline.Settings;
using XF.Domain.Entities;

namespace Hotline.SeedData
{
    public class OrgSeedData : ISeedData<SystemOrganize>
    {
        public static readonly string CenterId = "001";
        public static readonly string CenterName = "市民热线服务中心";//12345政务服务便民热线

        public IEnumerable<SystemOrganize> HasData() =>
            new[]
            {
                new SystemOrganize
                {
                    Id = CenterId,
                    Name = CenterName,
                    ShortName = "12345中心",
                    Level = 1,
                    IsCenter = true,
                    IsEnable = true,
                }
            };
    }
}